Bug 252294 (CVE-2005-4790) - CVE-2005-4790 tomboy and blam uses insecure LD_LIBRARY_PATH
Summary: CVE-2005-4790 tomboy and blam uses insecure LD_LIBRARY_PATH
Status: CLOSED ERRATA
Alias: CVE-2005-4790
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact: Fedora Extras Quality Assurance
URL: http://bugs.gentoo.org/show_bug.cgi?i...
Whiteboard:
Keywords: Security
Depends On: 362941 362951 362961 395751 395761 395771
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-15 06:14 UTC by Lubomir Kundrak
Modified: 2008-01-11 19:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-11 19:14:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lubomir Kundrak 2007-08-15 06:14:44 UTC
From Gentoo bugzilla:

/usr/bin/tomboy from app-misc/tomboy contains line:

    export LD_LIBRARY_PATH="/usr/lib64/tomboy:$LD_LIBRARY_PATH"

which yields to LD_LIBRARY_PATH="/usr/lib64/tomboy:", what means that required
libraries are also looked up in current directory. In the case of tomboy, it is
usually user's home directory, but user may run application from directories
like /tmp as well. If someone is able to copy bogus system libraries to this
directory, user could potentially run enemy code.

Comment 1 Lubomir Kundrak 2007-08-15 06:36:56 UTC
A CVE name for the issue has been requested.

Comment 2 Lubomir Kundrak 2007-08-21 21:21:14 UTC
This is covered by CVE-2005-4790, though it will most likely will get another
CVE name (as CVE-2005-4790 describes more unrelated issues and just for SuSE).

Comment 3 Lubomir Kundrak 2007-08-21 22:07:26 UTC
Please use CVE-2005-4790. Mitre person changed his mind and he will not assign
another identifier.

Comment 4 Lubomir Kundrak 2007-11-01 16:51:50 UTC
This also need fixing for F8 and devel.
This is wel lover 2 months old. Please make an update as soon as possible!

Comment 6 Tomas Hoger 2007-11-22 15:36:32 UTC
CVE id CVE-2005-4790 actually covers this issue for three apps: (1) beagle, (2)
tomboy, or (3) blam.

beagle and tomboy are fixed and use ${LD_LIBRARY_PATH+:$LD_LIBRARY_PATH}

latest versions of blam are affected:

/usr/bin/blam
LD_LIBRARY_PATH="/usr/lib/blam:/usr/lib/firefox-2.0.0.9:$LD_LIBRARY_PATH"


Comment 7 Tomas Hoger 2007-11-22 15:43:41 UTC
Upstream blam 1.8.4 contains updated startup script, which addresses this issue.

Comment 8 Peter Gordon 2007-11-22 20:24:27 UTC
Thanks, Tomas. Builds for Blam which include the upstream fix for it are
churning through Koji now.


Note You need to log in before you can comment on or make changes to this bug.